SFTP-SERVER(8)

BEZEICHNUNG
sftp-server - OpenSSH SFTP-Server-Subsystem

ÜBERSICHT
sftp-server [-ehR] [-d Startverzeichnis] [-f Protokolleinrichtung] [-l Protokollstufe] [-P untersagte_Anfragen] [-p erlaubte_Anfragen] [-u Umask] sftp-server -Q Protokollfunktionalität

BESCHREIBUNG
sftp-server ist ein Programm, das die Server-Seite des SFTP-Protokolls auf die Standardausgabe ausgibt und die Client-Anfragen auf der Standardeingabe erwartet. sftp-server ist nicht zum direkten Aufruf gedacht, sondern von der Subsystem -Option von sshd(8).

Befehlszeilenschalter von sftp-server sollten in der Subsystem -Deklaration festgelegt werden. Siehe sshd_config(5) für weitere Optionen.

Gültige Optionen sind:

-d Startverzeichnis
    Legt ein alternatives Startverzeichnis für Benutzer fest. Der Pfadname darf die folgenden Merkmale enthalten, die zur Laufzeit expandiert werden: %% wird durch ein einfaches »%« ersetzt, %d wird durch das Home-Verzeichnis des zu authentifizierenden Benutzers ersetzt und %u wird durch den Benutzernamen dieses Benutzers ersetzt. Standardmäßig wird das Home-Verzeichnis des Benutzers verwandt. Diese Option ist mit der Option ChrootDirectory von sshd_config(5) nützlich.

-e  Leitet die Ausgabe von Protokollierinformationen von sftp-server zur Fehlersuche auf die Standardfehlerausgabe statt in das Syslog.

-f Protokolleinrichtung
    Legt den Einrichtungscode fest, der beim Protokollieren von Meldungen von sftp-server verwandt wird. Die möglichen Werte sind: DAEMON, USER, AUTH, LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7. Die Vorgabe ist AUTH.

-h  Zeigt Verwendungsinformationen von sftp-server an.

-l Protokollstufe
    Legt fest, welche Meldungen durch sftp-server protokolliert werden. Die möglichen Werte sind: QUIET, FATAL, ERROR, INFO, VERBOSE, DEBUG, DEBUG1, DEBUG2 und DEBUG3. INFO und VERBOSE protokollieren Transaktionen, die sftp-server im Auftrag des Clients ausführt. DEBUG und DEBUG1 sind äquivalent. DEBUG2 und DEBUG3 legen jeweils höhere Stufen an Fehlersuchausgabe fest. Die Vorgabe ist ERROR.

-P untersagte_Anfragen
    Gibt eine durch Kommata getrennte Liste von SFTP-Protokollanfragen an, die durch den Server untersagt werden. sftp-server wird auf jede untersagte Anfrage mit einem Fehlschlag reagieren. Der Schalter -Q kann zum Bestimmen der unterstützten Anfragetypen verwandt werden. Falls sowohl untersagte als auch erlaubte Listen festgelegt werden, dann wird die untersagte Liste vor der erlaubten Liste angewandt.

-p erlaubte_Anfragen
    Gibt eine durch Kommata getrennte Liste von SFTP-Protokollanfragen an, die vom Server erlaubt werden. Alle Anfragetypen, die nicht auf der erlaubten Liste stehen, werden protokolliert und mit einer Fehlermeldung beantwortet.

    Diese Funktionalität muss vorsichtig eingesetzt werden, damit die von SFTP-Clients implizit gestellten Anfragen erlaubt sind.

-Q Protokollfunktionalität
    Fragt die von sftp-server unterstützten Protokolle ab. Derzeit ist die einzige abfragbare Funktionalität “requests”, die zur Untersagung oder Erlaubnis bestimmter Anfragen verwandt werden kann (Schalter -P bzw. -p).

-R  Legt diese Instanz von sftp-server in einen schreibgeschützten Modus. Versuche, Dateien zum Schreiben zu öffnen sowie andere Aktionen, die den Zustand des Dateisystems verändern, werden untersagt.

-u Umask
    Setzt eine explizite umask(2), die auf neu erstellte Dateien und Verzeichnisse statt der Standard-Maske des Benutzers angewandt werden soll.

Auf einigen Systemen muss sftp-server in der Lage sein, für die Protokollierung auf /dev/log zuzugreifen und daher benötigt die Verwendung von sftp-server in einer Chroot-Konfiguration, dass syslogd(8) ein Protokollier-Socket innerhalb des Chroot-Verzeichnisses einrichtet.

SIEHE AUCH
sftp(1), ssh(1), sshd_config(5), sshd(8) T. Ylonen, S. Lehtinen, »SSH-Dateiübertragungsprotokoll«, draft-ietf-secsh-filexfer-02.txt, Oktober 2001, Arbeiten in Gange.

GESCHICHTE
sftp-server erschien erstmalig in OpenBSD 2.8.

AUTOREN
Markus Friedl <markus@openbsd.org>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3: https://www.gnu.org/licenses/gpl-3.0.html oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.